# Class DefaultGeodeticDatum.Dynamic

Object
FormattableObject
AbstractIdentifiedObject
AbstractDatum
DefaultGeodeticDatum
Dynamic

All Implemented Interfaces:
  `Serializable`, `Formattable`, `Deprecable`, `LenientComparable`, `Printable`, `Datum`, `GeodeticDatum`, `IdentifiedObject`

Enclosing class:
  `DefaultGeodeticDatum`

public static class DefaultGeodeticDatum.Dynamic extends DefaultGeodeticDatum
A geodetic reference frame in which some of the defining parameters have time dependency. The parameter values are valid at the time given by the frame reference epoch.
Upcoming API change: this class may implement a `DynamicReferenceFrame` interface from the GeoAPI standard after the next GeoAPI release. In the meantime, `DynamicReferenceFrame` is not a public API.

Since:
  1.5
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class DefaultGeodeticDatum

  `DefaultGeodeticDatum​.Dynamic`

- ## Field Summary

  ### Fields inherited from class DefaultGeodeticDatum

  `BURSA_WOLF_KEY`

  ### Fields inherited from class AbstractDatum

  `ANCHOR_DEFINITION_KEY, ANCHOR_EPOCH_KEY, CONVENTIONAL_RS_KEY, PUBLICATION_DATE_KEY`

  ### Fields inherited from class AbstractIdentifiedObject

  `DEPRECATED_KEY, DOMAINS_KEY, LOCALE_KEY`

  ### Fields inherited from interface Datum

  `ANCHOR_POINT_KEY, DOMAIN_OF_VALIDITY_KEY, REALIZATION_EPOCH_KEY, SCOPE_KEY`

  ### Fields inherited from interface IdentifiedObject

  `ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `Dynamic(Map<String,?> properties, Ellipsoid ellipsoid, PrimeMeridian primeMeridian, Temporal epoch)`
  Creates a dynamic reference frame from the given properties.
  `protected`
  `Dynamic(GeodeticDatum datum)`
  Creates a new datum with the same values as the specified datum, which must be dynamic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Temporal`
  `getFrameReferenceEpoch()`
  Returns the epoch to which the coordinates of stations defining the dynamic reference frame are referenced.

  ### Methods inherited from class DefaultGeodeticDatum

  `castOrCopy, formatTo, getBursaWolfParameters, getEllipsoid, getInterface, getPositionVectorTransformation, getPrimeMeridian, isHeuristicMatchForName`

  ### Methods inherited from class AbstractDatum

  `castOrCopy, getAnchorDefinition, getAnchorEpoch, getAnchorPoint, getConventionalRS, getDomainOfValidity, getPublicationDate, getRealizationEpoch, getScope`

  ### Methods inherited from class AbstractIdentifiedObject

  `castOrCopy, equals, formatTo, getAlias, getDescription, getDomains, getIdentifiers, getName, getRemarks, hashCode, isDeprecated`

  ### Methods inherited from class FormattableObject

  `print, toString, toString, toWKT`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface Datum

  `getAnchorPoint, getDomainOfValidity, getRealizationEpoch, getScope`

  ### Methods inherited from interface IdentifiedObject

  `getAlias, getIdentifiers, getName, getRemarks, toWKT`

- ## Constructor Details

  - ### Dynamic

    public Dynamic(Map<String,?> properties, Ellipsoid ellipsoid, PrimeMeridian primeMeridian, Temporal epoch)
    Creates a dynamic reference frame from the given properties. See super-class constructor for more information.
    Parameters:
      `properties` - the properties to be given to the identified object.
      `ellipsoid` - the ellipsoid.
      `primeMeridian` - the prime meridian.
      `epoch` - the epoch to which the definition of the dynamic reference frame is referenced.

  - ### Dynamic

    protected Dynamic(GeodeticDatum datum)
    Creates a new datum with the same values as the specified datum, which must be dynamic.
    Parameters:
      `datum` - the datum to copy.
    Throws:
      `ClassCastException` - if the given datum is not an instance of `DynamicReferenceFrame`.
    See Also:
      - `DefaultGeodeticDatum​.castOrCopy(GeodeticDatum)`

- ## Method Details

  - ### getFrameReferenceEpoch

    public Temporal getFrameReferenceEpoch()
    Returns the epoch to which the coordinates of stations defining the dynamic reference frame are referenced. The type of the returned object depends on the epoch accuracy and the calendar in use. It may be merely a `Year`.
    Returns:
      the epoch to which the definition of the dynamic reference frame is referenced.